package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bpdgrp extends AbstractCommonVo {

    private BpdVo rec;

    private BptVo blk;

    private BpacbsVo cbs;

    private PtsptaVo fia;

    private PtsptaVo inv;

    private PtsptaVo oap;

    private PtsptaVo bu1;

    private PtsptaVo bu2;

    private PtsptaVo bu3;

    private PtsptaVo avb;

    private PtsptaVo bmh;

    private FftrefVo fftref;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new BpdVo();
        }
        if (blk == null) {
            blk = new BptVo();
        }
        if (cbs == null) {
            cbs = new BpacbsVo();
        }
        cbs.reset();
        if (fia == null) {
            fia = new PtsptaVo();
        }
        fia.reset();
        if (inv == null) {
            inv = new PtsptaVo();
        }
        inv.reset();
        if (oap == null) {
            oap = new PtsptaVo();
        }
        oap.reset();
        if (bu1 == null) {
            bu1 = new PtsptaVo();
        }
        bu1.reset();
        if (bu2 == null) {
            bu2 = new PtsptaVo();
        }
        bu2.reset();
        if (bu3 == null) {
            bu3 = new PtsptaVo();
        }
        bu3.reset();
        if (avb == null) {
            avb = new PtsptaVo();
        }
        avb.reset();
        if (bmh == null) {
            bmh = new PtsptaVo();
        }
        bmh.reset();
        if (fftref == null) {
            fftref = new FftrefVo();
        }
        fftref.reset();
    }
}
